# -*- coding: utf-8 -*-
# Reglages et parametrages

# Definition du repertoire de destination des fichiers csv generes
DESTINATION_FOLDER = '/tmp/CSV'

# Nom du csv recapitulatif
CSV_MAIN = 'extraction_complete'

# Parametrage de l'acces a la base de donnees
DSN = {
    'host': '127.0.0.1',
    'port': 5432,
    'user': 'username',
    'password': 'pass',
    'database': 'database',
}

# Parametrage de la generation des CSV
CSV_PARAM = {
    'delimiter': ';',
    'quotechar': '"',
    'quoting': 0,  # csv.QUOTE_MINIMAL,
    'lineterminator': '\n',
}

# Specification des filieres:
# indicator est l'indicateur de type 2021550002, 202362001
# column_name prend les valeur de nb_install, production ou puissance
FILIERES = {
    'nom_filiere': {
        'energy_type': {'indicator': 'column_name'},
    },
}

# Types de territoires a traiter
TYPE_TER = ('REGION', 'DEPARTEMENT', 'EPCI', 'PNR', 'SCOT')

# (nom interne du champ, nom affiché dans le CSV)
EXPORT_COLUMN = [
    ('annee', 'ANNEE'),
    ('id_ter', 'CODE_INSEE'),
    ('type_ter', 'TYPE_TER'),
    ('lib_ter', 'LIB_TER'),
    ('dep', 'CODE_DEP'),
    ('nom_dep', 'NOM_DEP'),
    ('filiere', 'FILIERE'),
    ('energy_type', 'TYPE_ENERGIE'),
    ('nb_install', 'NB_INSTALL'),
    ('production', 'PRODUCTION (GWh)'),
    ('puissance', 'PUISSANCE (MW)'),
    ('geoloc_long', 'LON'),
    ('geoloc_lat', 'LAT'),
]
